<script>
    import {push} from 'svelte-spa-router';
    export let id;
    function details() {
        push(`/details/${id}`);
        // console.log(car, $fromDate, $toDate);
    }
</script>

    <button on:click={details}>Details</button>
